#### MSGDDN

#### Synopsis

    HELP:   (HOST) DD name for a message file
    TYPE:   STRING
    SYNTAX: MSGDDN/MSGDD='str'

#### Description

With this parameter the DD-NAME for the FLAM message file in the DD JCL-command can be changed. It is the symbolic DD file name for the normaly used message file (z/OS only).

FLAM messages are written into a catalogued file. The DD-NAME of this file is `FLPRINT` by default and can be modified using parameter `MSGDDN=<name>`.

All messages are written by default into message file:

    //FLPRINT DD DSN=list_file,DISP= ...

or

    //FLPRINT DD SYSOUT=

Parameters in the same context: MSGFILE and MSGDISP

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `MSGDDN=file name`
  - `MSGDD=file name`
    - Note: With this parameter the `DD-NAME FLPRINT` in the DD command can be changed.

Values

- z/OS
  - DD-NAME with max. 8 characters.

Default

- z/OS
  - FLPRINT DD ......

Valid for

- compression
- decompression